Groovy 1.7.10

## org.codehaus.groovy.runtime.callsite
[Java] Class GroovySunClassLoader

    java.lang.Object
      java.lang.ClassLoader
          org.codehaus.groovy.reflection.SunClassLoader
              org.codehaus.groovy.runtime.callsite.GroovySunClassLoader

    public class GroovySunClassLoader
    extends SunClassLoader

Field Summary
`static SunClassLoader` | `sunVM`

Fields inherited from class SunClassLoader
knownClasses, sunVM

Constructor Summary
`protected GroovySunClassLoader()`

Method Summary

Methods inherited from class SunClassLoader
define, doesKnow, loadClass, loadFromRes, resName

Methods inherited from class ClassLoader
loadClass, getSystemClassLoader, getResource, getResourceAsStream, getSystemResource, getSystemResourceAsStream, clearAssertionStatus, getParent, getResources, getSystemResources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### sunVM

    public static final SunClassLoader sunVM

Constructor Detail

### GroovySunClassLoader

    protected GroovySunClassLoader()

Copyright © 2003-2010 The Codehaus. All rights reserved.